Database error when updating from Flexbanner 4.1.08 to 4.1.09

This is the place to post questions and comments about the FlexBanner component
Post Reply
fsiteur
Posts: 19
Joined: Mon Aug 11, 2014 3:09 pm

Database error when updating from Flexbanner 4.1.08 to 4.1.09

Post by fsiteur » Mon Apr 30, 2018 1:55 pm

Hi, when trying to update to the latest version of Flexbanner I do get the following error message:

Warning
JInstaller: :Install: Error SQL Duplicate column name 'cloud_imageurl'
Extension Update: SQL error processing query: DB function failed with error number 1060
Duplicate column name 'cloud_imageurl'
SQL =
ALTER TABLE `#__flexbanners` ADD `cloud_imageurl` varchar(255) default NULL AFTER `imageurl`;

I looked in the database itself and the column "cloud_imageurl" is already in the database of flexbanner but after the column "flash" instead of "imageurl" Should I change the order of the columns to solve this problem or has that nothing to do with it?

The site runs on Joomla 3.8.7

I saw another recent post on the forum related to the column "cloud_imageurl" but don't think it is the same problem so I created a new topic for my question.

Thanks in advance and let me know if there are any questions.

Thanks,

Floris

Andrew998
Posts: 1381
Joined: Wed Jan 07, 2009 10:43 am

Re: Database error when updating from Flexbanner 4.1.08 to 4.1.09

Post by Andrew998 » Mon Apr 30, 2018 2:14 pm

Don't worry, it is there because of that previous problem and is just a message. It won't affect your installation.
Andrew998
Developer

fsiteur
Posts: 19
Joined: Mon Aug 11, 2014 3:09 pm

Re: Database error when updating from Flexbanner 4.1.08 to 4.1.09

Post by fsiteur » Mon Apr 30, 2018 2:23 pm

ok thanks and good to hear nothing is wrong ;). But when I go to the component it keeps saying that there is an update available. When I look at the manage extension part of the site version 4.1.09 is installed as administrator and 4.1.08 for the module so I think I do have the latest version installed. Should I just ignore the the update message?
Thanks again,
Floris

Andrew998
Posts: 1381
Joined: Wed Jan 07, 2009 10:43 am

Re: Database error when updating from Flexbanner 4.1.08 to 4.1.09

Post by Andrew998 » Mon Apr 30, 2018 2:25 pm

It shoulds show 4.1.09 for both. I would recommend installing it again (do not uninstall!).
Andrew998
Developer

fsiteur
Posts: 19
Joined: Mon Aug 11, 2014 3:09 pm

Re: Database error when updating from Flexbanner 4.1.08 to 4.1.09

Post by fsiteur » Mon Apr 30, 2018 2:29 pm

ok thanks and I tried to install it again but the module version is still 4.1.08. Any tips how to upgrade the module version only?
Thanks,
Floris

Andrew998
Posts: 1381
Joined: Wed Jan 07, 2009 10:43 am

Re: Database error when updating from Flexbanner 4.1.08 to 4.1.09

Post by Andrew998 » Mon Apr 30, 2018 2:31 pm

Strange. I'm not sure how that could happen. Try this version: https://www.inchhosting.co.uk/releases/flexbanner/com_flexbanners_4.1.09.zip
Andrew998
Developer

fsiteur
Posts: 19
Joined: Mon Aug 11, 2014 3:09 pm

Re: Database error when updating from Flexbanner 4.1.08 to 4.1.09

Post by fsiteur » Mon Apr 30, 2018 2:38 pm

That trick worked! Both version are now 4.1.09 so problem solved. ;)
Thanks,
Floris

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests